Skip to content
POST /file/import-request/{id}/approve
DeprecatedThis endpoint is deprecated and will be removed in a future release.

Removed with web access: answers `410` `web_access_removed`, with a message that says what to use instead.

Path Parameters

idstring
required·

Import request id (fimp_…).

curl -X POST 'https://api.elaichi.ai/file/import-request/<id>/approve' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.elaichi.ai/file/import-request/<id>/approve', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import os
import requests

url = "https://api.elaichi.ai/file/import-request/<id>/approve"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}

response = requests.post(url, headers=headers)
print(response.json())